Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.persister.file
Interface BuildPersisterDecorator

All Superinterfaces:
  Startable

All Known Implementing Classes:
  CachedBuildPersisterDecorator, LegacyPersister, LegacyXStreamPersisterBuild110, XStreamBuildPersister

    public interface BuildPersisterDecorator

extends Startable

This interface provides an abstract for persisting Bamboo builds objects.

Implemented as decorators to chain caching and compression behaviour

Method Summary
`void` | `deleteBuild(Build build)` Remove the persisted date for the given build.
`void` | `deleteBuildResults(Build build, long buildNumber)` Remove a specific build result
`Iterator` | `getBuildNames()` Obtain an iterator of persisted build names
`BuildResults` | `loadBuildResults(Build build, long buildNumber)` Load the given build's buildNumber'th build results
`Collection` | `loadBuilds()` Get all the persisted builds
`Build` | `loadBuilds(String buildName)` Load the persisted build with the given build name
`void` | `saveBuild(Build build)` Persist the given Build
`void` | `saveBuildResults(Build build, BuildResults buildResults)` Save the given build's given buildResults

Methods inherited from interface com.atlassian.bamboo.container.Startable
`start, stop`

Method Detail

### saveBuild

    void saveBuild(Build build)
                   throws PersisterException

  Persist the given Build

  Parameters:
    `build` - The build to persist
  Throws:
    `PersisterException` - Failed to persist

### deleteBuild

    void deleteBuild(Build build)
                     throws PersisterException

  Remove the persisted date for the given build.

  Parameters:
    `build` - The build to delete
  Throws:
    `PersisterException` - Failed to persist

### deleteBuildResults

    void deleteBuildResults(Build build,
                            long buildNumber)
                            throws PersisterException

  Remove a specific build result

  Parameters:
    `build` - The build the result belongs to
    `buildNumber` - The build number
  Throws:
    `PersisterException`

### loadBuilds

    Build loadBuilds(String buildName)
                     throws PersisterException

  Load the persisted build with the given build name

  Parameters:
    `buildName` - The name of the build to load
  Returns:
    The loaded build
  Throws:
    `PersisterException` - Failed to load

### loadBuilds

    Collection loadBuilds()
                          throws PersisterException

  Get all the persisted builds

  Returns:
    The builds
  Throws:
    `PersisterException` - Failed to load

### saveBuildResults

    void saveBuildResults(Build build,
                          BuildResults buildResults)
                          throws PersisterException

  Save the given build's given buildResults

  Parameters:
    `build` - The buildResults' build
    `buildResults` - The build results to persist
  Throws:
    `PersisterException` - Failed to persist the build results

### loadBuildResults

    BuildResults loadBuildResults(Build build,
                                  long buildNumber)
                                  throws PersisterException

  Load the given build's buildNumber'th build results

  Parameters:
    `build` - The build whos build results we want to load
    `buildNumber` - The number of the build results we are interested in
  Returns:
    The buildResults
  Throws:
    `PersisterException` - Failed to load the build results

### getBuildNames

    Iterator getBuildNames()

  Obtain an iterator of persisted build names

  Returns:
    The build names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.